<?
session_start();
$NotTransChar = 1; //不进行繁简转换,否则 Md5 校验可能会出错
require_once("../common/init.php");
require_once("security.inc.php");
$AgentInfo = GetAgentInfo();

//20（支付成功，对使用实时银行卡进行扣款的订单）
//30（支付失败，对使用实时银行卡进行扣款的订单）
$v_key  = $AgentInfo['PayOnlinePW'];
$str    = $v_oid.$v_pstatus.$v_amount.$v_moneytype.$v_key;
//$fff    = mhash(MHASH_MD5,$str);
//$u_hmac = strtoupper(bin2hex($fff));
$u_hmac = strtoupper(md5($str));

/*foreach($_POST as $kkk => $vvv){
	echo " $kkk =>  $vvv <br>";
}*/

if($u_hmac != $v_md5str){
	$pay_result = "数字指纹校验错";
}else{
	$sql    = "update onlinepay set paymode='$v_pmode',payresult='$v_pstatus' where oid='$v_oid'";
    $db->query($sql);
	$pay_result = "订单号：".$v_oid."<br>";
	$pay_result .= "支付结果：".($v_pstatus==20?"支付成功":"支付失败")."<br>";
	$pay_result .= "支付方式：".$v_pmode."<br>";
	if($v_pstatus == 20){
		if(!$_SESSION['flag_S']){
			 $sql="insert into financial set OnlineID='$v_oid',UserName='$_SESSION[User_S]',Amount='".abs($v_amount)."',
				   iStatus=1,About='预付款($v_pstring)',dtCreate=now()";
			 $db->query($sql);
			 $_SESSION['flag_S'] = 1; //为防止用户刷新页面重复插入记录
		}
		if($_SESSION['PayOrderID']){
			$pay_result .= "<a href='order_pay.php?OrderID=".$_SESSION['PayOrderID']."'><b>立即交费开通</b></a>";
		}else{
			$pay_result .= "<a href='fin_list.php'><b>返回</b></a>";
		}
	}
}
$db->close();
$smarty->assign("pay_result",$pay_result);
$smarty->display('user_onlinepay_result.html');
?>